View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
06341Bug reportsInstallationpublic2012-08-03 13:44
Reporterlolo Assigned Toc_schmitz  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version2.00RC5 
Fixed in Version2.00RC8 
Summary06341: Installation fails if ./tmp/runtime is not writable
DescriptionInstallation process does not check (and require) that folder ./tmp/runtime is writable.
As a consequence, the error joined in attachement (see file "optional.html") happens during install.
Steps To Reproduce- uncompress LimeSurvey 2.00RC5 on web server
(by default all files have 0755 access rights be defult with most web providers)
- launch install : install requires that folders "/application/config", "/templates", "/upload" are writable
- make those folders writable (chmod 0777)
- continue install (ok)
- fill database page (ok)
- fill passwords page (ok)
- continue => error
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)120719
I will donate to the project if issue is resolvedNo
BrowserMozilla Firefox 13.0.1
Database & DB-VersionMysql 5.5.24
Server OS (if known)Linux 2.6.27.52
Webserver software & version (if known)Apache 2
PHP Version 5.3.14

Users monitoring this issue

User List kalimu

Activities

lolo

lolo

2012-07-19 15:04

reporter  

optional.htm (12,861 bytes)   
<!DOCTYPE html PUBLIC
	"-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>CException</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>CException</h1>

	<p class="message">
		Application runtime path &quot;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/tmp/runtime&quot; is not valid. Please make sure it is a directory writable by the Web server process.	</p>

	<div class="source">
		<p class="file">/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/base/CModule.php(483)</p>
		<div class="code"><pre><span class="ln">471</span>         }
<span class="ln">472</span>     }
<span class="ln">473</span> 
<span class="ln">474</span>     /**
<span class="ln">475</span>      * Configures the module with the specified configuration.
<span class="ln">476</span>      * @param array $config the configuration array
<span class="ln">477</span>      */
<span class="ln">478</span>     public function configure($config)
<span class="ln">479</span>     {
<span class="ln">480</span>         if(is_array($config))
<span class="ln">481</span>         {
<span class="ln">482</span>             foreach($config as $key=&gt;$value)
<span class="error"><span class="ln error-ln">483</span>                 $this-&gt;$key=$value;
</span><span class="ln">484</span>         }
<span class="ln">485</span>     }
<span class="ln">486</span> 
<span class="ln">487</span>     /**
<span class="ln">488</span>      * Loads static application components.
<span class="ln">489</span>      */
<span class="ln">490</span>     protected function preloadComponents()
<span class="ln">491</span>     {
<span class="ln">492</span>         foreach($this-&gt;preload as $id)
<span class="ln">493</span>             $this-&gt;getComponent($id);
<span class="ln">494</span>     }
<span class="ln">495</span> 
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tr class="trace core collapsed">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/base/CComponent.php(153): <strong>CApplication</strong>-><strong>setRuntimePath</strong>(&quot;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/tmp/ru...&quot;)				</div>

				<div class="code"><pre><span class="ln">148</span>      */
<span class="ln">149</span>     public function __set($name,$value)
<span class="ln">150</span>     {
<span class="ln">151</span>         $setter=&#039;set&#039;.$name;
<span class="ln">152</span>         if(method_exists($this,$setter))
<span class="error"><span class="ln error-ln">153</span>             return $this-&gt;$setter($value);
</span><span class="ln">154</span>         else if(strncasecmp($name,&#039;on&#039;,2)===0 &amp;&amp; method_exists($this,$name))
<span class="ln">155</span>         {
<span class="ln">156</span>             // duplicating getEventHandlers() here for performance
<span class="ln">157</span>             $name=strtolower($name);
<span class="ln">158</span>             if(!isset($this-&gt;_e[$name]))
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/base/CModule.php(483): <strong>CComponent</strong>-><strong>__set</strong>(&quot;runtimePath&quot;, &quot;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/tmp/ru...&quot;)				</div>

				<div class="code"><pre><span class="ln">478</span>     public function configure($config)
<span class="ln">479</span>     {
<span class="ln">480</span>         if(is_array($config))
<span class="ln">481</span>         {
<span class="ln">482</span>             foreach($config as $key=&gt;$value)
<span class="error"><span class="ln error-ln">483</span>                 $this-&gt;$key=$value;
</span><span class="ln">484</span>         }
<span class="ln">485</span>     }
<span class="ln">486</span> 
<span class="ln">487</span>     /**
<span class="ln">488</span>      * Loads static application components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/base/CApplication.php(144): <strong>CModule</strong>-><strong>configure</strong>(array(&quot;runtimePath&quot; =&gt; &quot;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/tmp/ru...&quot;, &quot;name&quot; =&gt; &quot;LimeSurvey&quot;, &quot;defaultController&quot; =&gt; &quot;survey&quot;, &quot;import&quot; =&gt; array(&quot;application.core.*&quot;, &quot;application.models.*&quot;, &quot;application.controllers.*&quot;), ...))				</div>

				<div class="code"><pre><span class="ln">139</span>         $this-&gt;preinit();
<span class="ln">140</span> 
<span class="ln">141</span>         $this-&gt;initSystemHandlers();
<span class="ln">142</span>         $this-&gt;registerCoreComponents();
<span class="ln">143</span> 
<span class="error"><span class="ln error-ln">144</span>         $this-&gt;configure($config);
</span><span class="ln">145</span>         $this-&gt;attachBehaviors($this-&gt;behaviors);
<span class="ln">146</span>         $this-&gt;preloadComponents();
<span class="ln">147</span> 
<span class="ln">148</span>         $this-&gt;init();
<span class="ln">149</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/application/core/LSYii_Application.php(36): <strong>CApplication</strong>-><strong>__construct</strong>(&quot;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/applic...&quot;)				</div>

				<div class="code"><pre><span class="ln">31</span>     {
<span class="ln">32</span>         if (!file_exists($config))
<span class="ln">33</span>         {
<span class="ln">34</span>             $config = APPPATH . &#039;config/config-sample&#039; . EXT;
<span class="ln">35</span>         }
<span class="error"><span class="ln error-ln">36</span>         parent::__construct($config);
</span><span class="ln">37</span>         // Load the default and environmental settings from different files into self.
<span class="ln">38</span>         $ls_config = require(APPPATH . &#039;/config/config-defaults.php&#039;);
<span class="ln">39</span>         $email_config = require(APPPATH . &#039;/config/email.php&#039;);
<span class="ln">40</span>         $version_config = require(APPPATH . &#039;/config/version.php&#039;);
<span class="ln">41</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/framework/YiiBase.php(127): <strong>LSYii_Application</strong>-><strong>__construct</strong>(&quot;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/applic...&quot;)				</div>

				<div class="code"><pre><span class="ln">122</span>      * to the constructor of the application class.
<span class="ln">123</span>      * @return mixed the application instance
<span class="ln">124</span>      */
<span class="ln">125</span>     public static function createApplication($class,$config=null)
<span class="ln">126</span>     {
<span class="error"><span class="ln error-ln">127</span>         return new $class($config);
</span><span class="ln">128</span>     }
<span class="ln">129</span> 
<span class="ln">130</span>     /**
<span class="ln">131</span>      * Returns the application singleton, null if the singleton has not been created yet.
<span class="ln">132</span>      * @return CApplication the application singleton, null if the singleton has not been created yet.
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/index.php(171): <strong>YiiBase</strong>::<strong>createApplication</strong>(&quot;LSYii_Application&quot;, &quot;/home/www/34ab61b960fc324dd606bf69bfc25b8b/web/limesurvey/applic...&quot;)				</div>

				<div class="code"><pre><span class="ln">166</span>  *
<span class="ln">167</span>  */
<span class="ln">168</span> require_once BASEPATH . &#039;yii&#039; . EXT;
<span class="ln">169</span> require_once APPPATH . &#039;core/LSYii_Application&#039; . EXT;
<span class="ln">170</span> 
<span class="error"><span class="ln error-ln">171</span> Yii::createApplication(&#039;LSYii_Application&#039;, APPPATH . &#039;config/config&#039; . EXT)-&gt;run();
</span><span class="ln">172</span> 
<span class="ln">173</span> /* End of file index.php */
<span class="ln">174</span> /* Location: ./index.php */</pre></div>			</td>
		</tr>
				</table>
	</div>

	<div class="version">
		2012-07-19 14:49:45 Apache <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.10	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>

</body>
</html>
optional.htm (12,861 bytes)   
c_schmitz

c_schmitz

2012-07-20 13:23

administrator   ~19878

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=9066
c_schmitz

c_schmitz

2012-08-03 13:44

administrator   ~20153

2.00RC8 released

Related Changesets

LimeSurvey: Yii b5fdd3a4

2012-07-20 04:23:22

c_schmitz

Details Diff
Fixed issue 06341: Installation fails if ./tmp/runtime is not writable Affected Issues
06341
mod - application/controllers/InstallerController.php Diff File
mod - application/views/installer/precheck_view.php Diff File

Issue History

Date Modified Username Field Change
2012-07-19 15:04 lolo New Issue
2012-07-19 15:04 lolo File Added: optional.htm
2012-07-19 16:16 kalimu Issue Monitored: kalimu
2012-07-19 23:14 c_schmitz Product Version 2.00RC4 => 2.00RC5
2012-07-19 23:14 c_schmitz Summary [2.00RC5] Installation fails if ./tmp/runtime is not writable => Installation fails if ./tmp/runtime is not writable
2012-07-20 13:23 c_schmitz Assigned To => c_schmitz
2012-07-20 13:23 c_schmitz Status new => assigned
2012-07-20 13:23 c_schmitz Changeset attached => LimeSurvey Yii b5fdd3a4
2012-07-20 13:23 c_schmitz Note Added: 19878
2012-07-20 13:23 c_schmitz Resolution open => fixed
2012-07-23 09:26 c_schmitz Status assigned => resolved
2012-07-23 09:26 c_schmitz Fixed in Version => 2.00+
2012-08-03 13:44 c_schmitz Fixed in Version 2.00+ => 2.00RC8
2012-08-03 13:44 c_schmitz Note Added: 20153
2012-08-03 13:44 c_schmitz Status resolved => closed
2021-08-02 20:06 guest Bug heat 2 => 4